Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class MessageRendererBase

    java.lang.Object
      javax.faces.render.Renderer
          org.richfaces.renderkit.RendererBase
              org.richfaces.renderkit.MessageRendererBase

Direct Known Subclasses:
  HtmlMessageRenderer, HtmlMessagesRenderer, NotifyMessageRendererBase

    public class MessageRendererBase

extends RendererBase

Author:
  asmirnov@exadel.com

Constructor Summary
`MessageRendererBase()`

Method Summary
`protected void` | `encodeMessage(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, java.lang.Object msg)`
`protected void` | `encodeScript(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`protected java.lang.String` | `getJSClassName()`
`protected javax.faces.application.FacesMessage.Severity` | `getLevel(javax.faces.component.UIComponent component)`
`protected java.util.Iterator<MessageForRender>` | `getMessages(javax.faces.context.FacesContext context, java.lang.String forClientId, javax.faces.component.UIComponent component)`
`protected java.lang.String` | `getMsgClass(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, java.lang.Object msg)`
`protected java.lang.String` | `getMsgStyle(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, java.lang.Object msg)`
`protected java.lang.Iterable<MessageForRender>` | `getVisibleMessages(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` TODO - make Generator aware of Iterator.
`protected boolean` | `isComponentMessage(javax.faces.component.UIComponent component)`
`protected boolean` | `isComponentMessages(javax.faces.component.UIComponent component)`

Methods inherited from class org.richfaces.renderkit.RendererBase
`concatClasses, concatStyles, decode, doDecode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getSkin, getUtils, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageRendererBase

    public MessageRendererBase()

Method Detail

### getMessages

    protected java.util.Iterator<MessageForRender> getMessages(javax.faces.context.FacesContext context,
                                                               java.lang.String forClientId,
                                                               javax.faces.component.UIComponent component)

### getVisibleMessages

    protected java.lang.Iterable<MessageForRender> getVisibleMessages(javax.faces.context.FacesContext context,
                                                                      javax.faces.component.UIComponent component)

  TODO - make Generator aware of Iterator.

  Parameters:
    `context` -
    `component` -
  Returns:

### getLevel

    protected javax.faces.application.FacesMessage.Severity getLevel(javax.faces.component.UIComponent component)

### isComponentMessage

    protected boolean isComponentMessage(javax.faces.component.UIComponent component)

### isComponentMessages

    protected boolean isComponentMessages(javax.faces.component.UIComponent component)

### encodeMessage

    protected void encodeMessage(javax.faces.context.FacesContext facesContext,
                                 javax.faces.component.UIComponent component,
                                 java.lang.Object msg)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### getJSClassName

    protected java.lang.String getJSClassName()

### encodeScript

    protected void encodeScript(javax.faces.context.FacesContext facesContext,
                                javax.faces.component.UIComponent component)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### getMsgClass

    protected java.lang.String getMsgClass(javax.faces.context.FacesContext facesContext,
                                           javax.faces.component.UIComponent component,
                                           java.lang.Object msg)
                                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### getMsgStyle

    protected java.lang.String getMsgStyle(javax.faces.context.FacesContext facesContext,
                                           javax.faces.component.UIComponent component,
                                           java.lang.Object msg)
                                    throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.